/*
** log.h - part of GrabURL 2.0
** Copyright (C) 1996-97 Serge Emond
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef GU_LOG_H
#define GU_LOG_H 1

struct Log {
  struct Log *next;
  int flags;
  char *name;
};

extern struct Log *logs;

/* Log file types & flags */
#define LOGF_TYPE		(1<<0)
#define LOGF_DATE		(1<<1)
#define LOGF_TIME		(1<<2)

/* Log types */
#define LOG_INFO		0		/* '?' - informations - ? */
#define LOG_ERROR		1		/* '*' - an error... */
#define LOG_LIST		2		/* '+' - Scan - addurl - etc */
#define LOG_TRANSFER	3		/* '>' - Receiving... */
#define LOG_DEBUG		4		/* 'X' - Debugging information */
#define LOG_COUNT		5

void putlog(const char *, int);
void log_cfg_init();
char *log_cfg_addlog(const char *);

#ifndef GU_DEBUG
#define pdebug(msg) ;
#else
#define pdebug(msg) putlog(msg, LOG_DEBUG);
#endif

#endif
